-- -------------------------------------------------------------------------- --
-- CharScanner Data PvE                                                       --
-- -------------------------------------------------------------------------- --
-- Achievement and Statistics Data                                            --
-- -------------------------------------------------------------------------- --

CharScanner_Data_PvE = {}

-- ------------------------------------------------------------------------------------------------------------------ --
-- Classic START                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data_PvE[1] = {}
CharScanner_Data_PvE[1].name = "Classic"
CharScanner_Data_PvE[1].achievement = {}
CharScanner_Data_PvE[1].achievement = {
628,  --  1 | Deadmines
629,  --  2 | Ragefire Chasm
630,  --  3 | Wailing Caverns
631,  --  4 | Shadowfang Keep
632,  --  5 | Blackfathom Deeps
633,  --  6 | Stormwind Stockade
634,  --  7 | Gnomeregan
635,  --  8 | Razorfen Kraul
636,  --  9 | Razorfen Downs
637,  -- 10 | Scarlet Monastery
638,  -- 11 | Uldaman
639,  -- 12 | Zul'Farrak
640,  -- 13 | Maraudon
641,  -- 14 | Sunken Temple
642,  -- 15 | Blackrock Depths
643,  -- 16 | Lower Blackrock Spire
644,  -- 17 | King of Dire Maul
645,  -- 18 | Scholomance
646,  -- 19 | Stratholme
--684       | Onyxia's Lair -- removed (Patch 3.2.2.10482) - this is now a Feats of Strength achievement named 'Onyxia's Lair (Level 60)' and no longer obtainable
685,  -- 20 | Blackwing Lair
686,  -- 21 | Molten Core
687,  -- 22 | Temple of Ahn'Qiraj
--688       | Zul'Gurub -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement and no longer obtainable
689,  -- 23 | Ruins of Ahn'Qiraj
1307, -- 24 | Upper Blackrock Spire
2188  -- 25 | Leeeeeeeeeeeeeroy!
}
CharScanner_Data_PvE[1].achievementTotal = #CharScanner_Data_PvE[1].achievement
CharScanner_Data_PvE[1].statistic = {}
CharScanner_Data_PvE[1].statistic = {
1091, --  1 | Edwin VanCleef kills (Deadmines)
--1092      | Archmage Arugal kills (Shadowfang Keep) -- removed (Patch 4.0.3.13329) this statistic is still ingame but Archmage Arugal not
1093, --  2 | Scarlet Commander Mograine kills (Scarlet Monastery)
1094, --  3 | Chief Ukorz Sandscalp kills (Zul'Farrak)
1095, --  4 | Emperor Dagran Thaurissan kills (Blackrock Depths)
1096, --  5 | General Drakkisath kills (Blackrock Spire)
1097, --  6 | Baron Rivendare kills (Stratholme)
1098, --  7 | Onyxia kills (Onyxia's Lair)
1099, --  8 | Ragnaros kills (Molten Core)
1100, --  9 | Nefarian kills (Blackwing Lair)
1101  -- 10 | C'Thun kills (Temple of Ahn'Qiraj)
--1102      | Hakkar kills (Zul'Gurub) -- removed (Patch 4.0.3.13329) this statistic is still ingame but Hakkar not
}
CharScanner_Data_PvE[1].statisticTotal = #CharScanner_Data_PvE[1].statistic
-- ------------------------------------------------------------------------------------------------------------------ --
-- Classic END                                                                                                        --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- BC (Burning Crusade) START                                                                                         --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data_PvE[2] = {}
CharScanner_Data_PvE[2].name = "BC"
CharScanner_Data_PvE[2].achievement = {}
CharScanner_Data_PvE[2].achievement = {
647, --  1 | Hellfire Ramparts
648, --  2 | The Blood Furnace
649, --  3 | The Slave Pens
650, --  4 | Underbog
651, --  5 | Mana-Tombs
652, --  6 | The Escape From Durnholde
653, --  7 | Sethekk Halls
654, --  8 | Shadow Labyrinth
655, --  9 | Opening of the Dark Portal
656, -- 10 | The Steamvault
657, -- 11 | The Shattered Halls
658, -- 12 | The Mechanar
659, -- 13 | The Botanica
660, -- 14 | The Arcatraz
661, -- 15 | Magister's Terrace
666, -- 16 | Auchenai Crypts
667, -- 17 | Heroic: Hellfire Ramparts
668, -- 18 | Heroic: The Blood Furnace
669, -- 19 | Heroic: The Slave Pens
670, -- 20 | Heroic: Underbog
671, -- 21 | Heroic: Mana-Tombs
672, -- 22 | Heroic: Auchenai Crypts
673, -- 23 | Heroic: The Escape From Durnholde
674, -- 24 | Heroic: Sethekk Halls
675, -- 25 | Heroic: Shadow Labyrinth
676, -- 26 | Heroic: Opening of the Dark Portal
677, -- 27 | Heroic: The Steamvault
678, -- 28 | Heroic: The Shattered Halls
679, -- 29 | Heroic: The Mechanar
680, -- 30 | Heroic: The Botanica
681, -- 31 | Heroic: The Arcatraz
682, -- 32 | Heroic: Magister's Terrace
690, -- 33 | Karazhan
--691   34 | Zul'Aman -- removed (Patch 4.1.0.13914)
692, -- 34 | Gruul's Lair
693, -- 35 | Magtheridon's Lair
694, -- 36 | Serpentshrine Cavern
695, -- 37 | The Battle for Mount Hyjal
696, -- 38 | Tempest Keep
697, -- 39 | The Black Temple
698  -- 40 | Sunwell Plateau
}
CharScanner_Data_PvE[2].achievementTotal = #CharScanner_Data_PvE[2].achievement
CharScanner_Data_PvE[2].statistic = {}
CharScanner_Data_PvE[2].statistic = {
1068, --  1 | Keli'dan the Breaker kills (The Blood Furnace)
1069, --  2 | Nexus-Prince Shaffar kills (Mana Tombs)
1070, --  3 | Epoch Hunter kills (The Escape From Durnholde)
1071, --  4 | Quagmirran kills (Slave Pens)
1072, --  5 | Black Stalker kills (Underbog)
1073, --  6 | Exarch Maladaar kills (Auchenai Crypts)
1074, --  7 | Talon King Ikiss kills (Sethekk Halls)
1075, --  8 | Murmur kills (Shadow Labyrinth)
1076, --  9 | Aeonus kills (Opening of the Dark Portal)
1077, -- 10 | Warlord Kalithresh kills (The Steamvault)
1078, -- 11 | Warchief Kargath Bladefist kills (The Shattered Halls)
1079, -- 12 | Pathaleon the Calculator kills (The Mechanar)
1080, -- 13 | Warp Splinter kills (The Botanica)
1081, -- 14 | Harbinger Skyriss kills (The Arcatraz)
1082, -- 15 | Kael'thas Sunstrider kills (Magister's Terrace)
1083, -- 16 | Prince Malchezaar kills (Karazhan)
1084, -- 17 | Zul'jin kills (Zul'Aman)
1085, -- 18 | Gruul kills (Gruul's Lair)
1086, -- 19 | Magtheridon kills (Magtheridon's Lair)
1087, -- 20 | Lady Vashj kills (Serpentshrine Cavern)
1088, -- 21 | Kael'thas Sunstrider kills (Tempest Keep)
1089, -- 22 | Illidan Stormrage kills (The Black Temple)
1090  -- 23 | Kil'jaeden kills (Sunwell Plateau)
}
CharScanner_Data_PvE[2].statisticTotal = #CharScanner_Data_PvE[2].statistic
-- ------------------------------------------------------------------------------------------------------------------ --
-- BC (Burning Crusade) END                                                                                           --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- WotLK (Wrath of the Lich King) START                                                                               --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data_PvE[3] = {}
CharScanner_Data_PvE[3].name = "WotLK"

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - Heroic Dungeons START                                                                  --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][1] = {}
CharScanner_Data_PvE[3][1].name = "hero"
CharScanner_Data_PvE[3][1].achievement = {}
CharScanner_Data_PvE[3][1].achievement = {
477,  --  1 | Utgarde Keep
489,  --  2 | Heroic: Utgarde Keep
478,  --  3 | The Nexus
490,  --  4 | Heroic: The Nexus
480,  --  5 | Azjol-Nerub
491,  --  6 | Heroic: Azjol-Nerub
481,  --  7 | Ahn'kahet: The Old Kingdom
492,  --  8 | Heroic: Ahn'kahet: The Old Kingdom
482,  --  9 | Drak'Tharon Keep
493,  -- 10 | Heroic: Drak'Tharon Keep
483,  -- 11 | The Violet Hold
494,  -- 12 | Heroic: The Violet Hold
484,  -- 13 | Gundrak
495,  -- 14 | Heroic: Gundrak
485,  -- 15 | Halls of Stone
496,  -- 16 | Heroic: Halls of Stone
486,  -- 17 | Halls of Lightning
497,  -- 18 | Heroic: Halls of Lightning
487,  -- 19 | The Oculus
498,  -- 20 | Heroic: The Oculus
488,  -- 21 | Utgarde Pinnacle
499,  -- 22 | Heroic: Utgarde Pinnacle
479,  -- 23 | The Culling of Stratholme
500,  -- 24 | Heroic: The Culling of Stratholme
99998,-- 25 | DUMMY -> check 'DUMMY_FactionFix' in CharScanner.lua
--3778   25 | HORDE    (same text) -> Trial of the Champion
--4296   25 | ALLIANCE (same text) -> Trial of the Champion
99999,-- 26 | DUMMY -> check 'DUMMY_FactionFix' in CharScanner.lua
--4297   26 | HORDE    (same text) -> Heroic: Trial of the Champion
--4298   26 | ALLIANCE (same text) -> Heroic: Trial of the Champion
4516, -- 27 | The Forge of Souls
4519, -- 28 | Heroic: The Forge of Souls
4517, -- 29 | The Pit of Saron
4520, -- 30 | Heroic: The Pit of Saron
4518, -- 31 | The Halls of Reflection
4521, -- 32 | Heroic: The Halls of Reflection
1296, -- 33 | Watch Him Die
1297, -- 34 | Hadronox Denied
1816, -- 35 | Defenseless
1817, -- 36 | The Culling of Time
1834, -- 37 | Lightning Struck
1860, -- 38 | Gotta Go!
--1861      | The Party's Over -- removed (Patch 3.3.0.10958)
1862, -- 39 | Volazj's Quick Demise
1864, -- 40 | What the Eck?
1865, -- 41 | Lockdown!
1866, -- 42 | Good Grief
1867, -- 43 | Timely Death
1868, -- 44 | Make It Count
1871, -- 45 | Experienced Drake Rider
1872, -- 46 | Zombiefest!
1873, -- 47 | Lodi Dodi We Loves the Skadi
1919, -- 48 | On The Rocks
2036, -- 49 | Intense Cold
2037, -- 50 | Chaos Theory
2038, -- 51 | Respect Your Elders
2039, -- 52 | Better Off Dred
2040, -- 53 | Less-rabi
2041, -- 54 | Dehydration
2042, -- 55 | Shatter Resistant
2043, -- 56 | The Incredible Hulk
2044, -- 57 | Ruby Void
2045, -- 58 | Emerald Void
2046, -- 59 | Amber Void
2056, -- 60 | Volunteer Work
2057, -- 61 | Oh Novos!
2058, -- 62 | Snakes. Why'd It Have To Be Snakes?
2150, -- 63 | Split Personality
2151, -- 64 | Consumption Junction
2152, -- 65 | Share The Love
2153, -- 66 | A Void Dance
2154, -- 67 | Brann Spankin' New
2155, -- 68 | Abuse the Ooze
2156, -- 69 | My Girl Loves to Skadi All the Time
2157, -- 70 | King's Bane
3802, -- 71 | Argent Confessor (Trial of the Champion)
3803, -- 72 | The Faceroller (Trial of the Champion)
3804, -- 73 | I've Had Worse (Trial of the Champion)
4522, -- 74 | Soul Power (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4523, -- 75 | Three Faced (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4524, -- 76 | Doesn't Go to Eleven (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4525, -- 77 | Don't Look Up (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4526  -- 78 | We're Not Retreating; We're Advancing in a Different Direction. (Heroic Halls of Reflection) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][1].achievementTotal = #CharScanner_Data_PvE[3][1].achievement
CharScanner_Data_PvE[3][1].statistic = {}
CharScanner_Data_PvE[3][1].statistic = {
1504, --  1 | Ingvar the Plunderer kills (Heroic Utgarde Keep)
1505, --  2 | Keristrasza kills (Heroic Nexus)
1506, --  3 | Anub'arak kills (Heroic Azjol-Nerub)
1507, --  4 | Herald Volazj kills (Heroic Ahn'kahet)
1508, --  5 | The Prophet Tharon'ja kills (Heroic Drak'Tharon Keep)
1509, --  6 | Cyanigosa kills (Heroic Violet Hold)
1510, --  7 | Gal'darah kills (Heroic Gundrak)
1511, --  8 | Sjonnir the Ironshaper kills (Heroic Halls of Stone)
1512, --  9 | Loken kills (Heroic Halls of Lightning)
1513, -- 10 | Ley-Guardian Eregos kills (Heroic Oculus)
1514, -- 11 | King Ymiron kills (Heroic Utgarde Pinnacle)
1515, -- 12 | Mal'Ganis defeated (Heroic CoT: Stratholme)
4027, -- 13 | The Black Knight kills (Heroic Trial of the Champion)
4716, -- 14 | Devourer of Souls kills (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4721, -- 15 | Scourgelord Tyrannus kills (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4727  -- 16 | Lich King escapes (Heroic Halls of Reflection) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][1].statisticTotal = #CharScanner_Data_PvE[3][1].statistic
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - Heroic Dungeons END                                                                    --
-- ---------------------------------------------------------------------------------------------- --

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 10 player raid START                                                                   --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2] = {}
CharScanner_Data_PvE[3][2].name = "raid10p"

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Naxxramas START                                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][1] = {}
CharScanner_Data_PvE[3][2][1].name = "Naxx10"
CharScanner_Data_PvE[3][2][1].achievement = {}
CharScanner_Data_PvE[3][2][1].achievement = {
562,  --  1 | The Arachnid Quarter
564,  --  2 | The Construct Quarter
566,  --  3 | The Plague Quarter
568,  --  4 | The Military Quarter
572,  --  5 | Sapphiron's Demise
574,  --  6 | Kel'Thuzad's Defeat
576,  --  7 | The Fall of Naxxramas
578,  --  8 | The Dedicated Few
1856, --  9 | Make Quick Werk Of Him
1858, -- 10 | Arachnophobia
1996, -- 11 | The Safety Dance
1997, -- 12 | Momma Said Knock You Out
2146, -- 13 | The Hundred Club
2176, -- 14 | And They Would All Go Down Together
2178, -- 15 | Shocking!
2180, -- 16 | Subtraction
2182, -- 17 | Spore Loser
2184  -- 18 | Just Can't Get Enough
--2187      | The Undying -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
}
CharScanner_Data_PvE[3][2][1].achievementTotal = #CharScanner_Data_PvE[3][2][1].achievement
CharScanner_Data_PvE[3][2][1].statistic = {}
CharScanner_Data_PvE[3][2][1].statistic = {
1361, --  1 | Anub'Rekhan kills (Naxxramas 10 player)
1362, --  2 | Grand Widow Faerlina kills (Naxxramas 10 player)
1363, --  3 | Maexxna kills (Naxxramas 10 player)
1364, --  4 | Patchwerk kills (Naxxramas 10 player)
1371, --  5 | Grobbulus kills (Naxxramas 10 player)
1372, --  6 | Gluth kills (Naxxramas 10 player)
1373, --  7 | Thaddius kills (Naxxramas 10 player)
1365, --  8 | Noth the Plaguebringer kills (Naxxramas 10 player)
1369, --  9 | Heigan the Unclean kills (Naxxramas 10 player)
1370, -- 10 | Loatheb kills (Naxxramas 10 player)
1374, -- 11 | Instructor Razuvious kills (Naxxramas 10 player)
1366, -- 12 | Gothik the Harvester kills (Naxxramas 10 player)
1375, -- 13 | Four Horsemen kills (Naxxramas 10 player)
1376, -- 14 | Sapphiron kills (Naxxramas 10 player)
1377  -- 15 | Kel'Thuzad kills (Naxxramas 10 player)
}
CharScanner_Data_PvE[3][2][1].statisticTotal = #CharScanner_Data_PvE[3][2][1].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Naxxramas END                                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Other START                                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][2] = {}
CharScanner_Data_PvE[3][2][2].name = "Other10"
CharScanner_Data_PvE[3][2][2].achievement = {}
CharScanner_Data_PvE[3][2][2].achievement = {
622,  --  1 | Malygos    | The Spellweaver's Downfall
624,  --  2 | Sartharion | Less Is More
1869, --  3 | Malygos    | A Poke In The Eye
1874, --  4 | Malygos    | You Don't Have An Eternity
1876, --  5 | Sartharion | Besting the Black Dragonflight
2047, --  6 | Sartharion | Gonna Go When the Volcano Blows
2049, --  7 | Sartharion | Twilight Assist
2050, --  8 | Sartharion | Twilight Duo
2051, --  9 | Sartharion | The Twilight Zone
2148, -- 10 | Malygos    | Denyin' the Scion
4016, -- 11 | Archavon/Emalon/Koralon | Earth, Wind & Fire (10 player)
4396, -- 12 | Onyxia     | Onyxia's Lair (10 player) -- added (Patch 3.2.2.10482)
4402, -- 13 | Onyxia     | More Dots! (10 player) -- added (Patch 3.2.2.10482)
4403, -- 14 | Onyxia     | Many Whelps! Handle It! (10 player) -- added (Patch 3.2.2.10482)
4404, -- 15 | Onyxia     | She Deep Breaths More (10 player) -- added (Patch 3.2.2.10482)
4817, -- 16 | Halion     | The Twilight Destroyer (10 player)
4818  -- 17 | Halion     | Heroic: The Twilight Destroyer (10 player)
}
CharScanner_Data_PvE[3][2][2].achievementTotal = #CharScanner_Data_PvE[3][2][2].achievement
CharScanner_Data_PvE[3][2][2].statistic = {}
CharScanner_Data_PvE[3][2][2].statistic = {
1391, --  1 | Malygos kills (10 player)
1392, --  2 | Sartharion kills (Chamber of the Aspects 10 player)
1753, --  3 | Archavon the Stone Watcher kills (Wintergrasp 10 player)
2870, --  4 | Emalon the Storm Watcher kills (Wintergrasp 10 player)
4074, --  5 | Koralon the Flame Watcher kills (Wintergrasp 10 player)
4657, --  6 | Toravon the Ice Watcher kills (Wintergrasp 10 player) -- added (Patch 3.3.2.11403)
4821, --  7 | Halion kills (Ruby Sanctum 10 player) -- added (Patch 3.3.5.12340)
4822  --  8 | Halion kills (Heroic Ruby Sanctum 10 player) -- added (Patch 3.3.5.12340)
}
CharScanner_Data_PvE[3][2][2].statisticTotal = #CharScanner_Data_PvE[3][2][2].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Other END                                         --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Ulduar START                                      --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][3] = {}
CharScanner_Data_PvE[3][2][3].name = "Ulduar10"
CharScanner_Data_PvE[3][2][3].achievement = {}
CharScanner_Data_PvE[3][2][3].achievement = {
2886, --  1 | The Siege of Ulduar
2888, --  2 | The Antechamber of Ulduar
2890, --  3 | The Keepers of Ulduar
2892, --  4 | The Descent into Madness
2894, --  5 | The Secrets of Ulduar
--2903      | Champion of Ulduar -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
2905, --  6 | Unbroken
2907, --  7 | Three Car Garage
2909, --  8 | Take Out Those Turrets
2911, --  9 | Shutout
2913, -- 10 | Orbital Bombardment
2914, -- 11 | Orbital Devastation
2915, -- 12 | Nuked from Orbit
2919, -- 13 | A Quick Shave
2923, -- 14 | Iron Dwarf, Medium Rare
2925, -- 15 | Shattered
2927, -- 16 | Hot Pocket
2930, -- 17 | Stokin' the Furnace
2931, -- 18 | Nerf Engineering
2933, -- 19 | Nerf Scrapbots
2934, -- 20 | Nerf Gravity Bombs
2937, -- 21 | Must Deconstruct Faster
2939, -- 22 | I Choose You, Runemaster Molgeim
2940, -- 23 | I Choose You, Stormcaller Brundir
2941, -- 24 | I Choose You, Steelbreaker
2945, -- 25 | But I'm on Your Side
2947, -- 26 | Can't Do That While Stunned
2951, -- 27 | With Open Arms
2953, -- 28 | Disarmed
2955, -- 29 | If Looks Could Kill
2959, -- 30 | Rubble and Roll
2961, -- 31 | Cheese the Freeze
2963, -- 32 | I Have the Coolest Friends
2967, -- 33 | Getting Cold in Here
2969, -- 34 | Staying Buffed All Winter
2971, -- 35 | Don't Stand in the Lightning
2973, -- 36 | I'll Take You All On
2975, -- 37 | Who Needs Bloodlust?
2977, -- 38 | Siffed
2979, -- 39 | Lumberjacked
2980, -- 40 | Con-speed-atory
2982, -- 41 | Getting Back to Nature
2985, -- 42 | Deforestation
2989, -- 43 | Set Up Us the Bomb
2996, -- 44 | Shadowdodger
3003, -- 45 | Supermassive
--3004      | He Feeds On Your Tears -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
3006, -- 46 | Crazy Cat Lady
3008, -- 47 | Drive Me Crazy
3009, -- 48 | Kiss and Make Up
3012, -- 49 | He's Not Getting Any Older
3014, -- 50 | They're Coming Out of the Walls
3015, -- 51 | In His House He Waits Dreaming
3036, -- 52 | Observed
3056, -- 53 | Orbit-uary
3058, -- 54 | Heartbreaker
3076, -- 55 | Nine Lives
3097, -- 56 | Dwarfageddon
3138, -- 57 | Not-So-Friendly Fire
3141, -- 58 | Two Lights in the Darkness
3157, -- 59 | Three Lights in the Darkness
3158, -- 60 | One Light in the Darkness
3159, -- 61 | Alone in the Darkness
3176, -- 62 | Lose Your Illusion
3177, -- 63 | Knock on Wood
3178, -- 64 | Knock, Knock on Wood
3179, -- 65 | Knock, Knock, Knock on Wood
3180, -- 66 | Firefighter
3181, -- 67 | I Love the Smell of Saronite in the Morning
3182  -- 68 | I Could Say That This Cache Was Rare
--3316      | Herald of the Titans -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
}
CharScanner_Data_PvE[3][2][3].achievementTotal = #CharScanner_Data_PvE[3][2][3].achievement
CharScanner_Data_PvE[3][2][3].statistic = {}
CharScanner_Data_PvE[3][2][3].statistic = {
2856, --  1 | Flame Leviathan kills (Ulduar 10 player)
2857, --  2 | Razorscale kills (Ulduar 10 player)
2858, --  3 | Ignis the Furnace Master kills (Ulduar 10 player)
2859, --  4 | XT-002 Deconstructor kills (Ulduar 10 player)
2860, --  5 | Assembly of Iron kills (Ulduar 10 player)
2861, --  6 | Kologarn kills (Ulduar 10 player)
2868, --  7 | Auriaya kills (Ulduar 10 player)
2862, --  8 | Hodir victories (Ulduar 10 player)
2863, --  9 | Thorim victories (Ulduar 10 player)
2864, -- 10 | Freya victories (Ulduar 10 player)
2865, -- 11 | Mimiron victories (Ulduar 10 player)
2866, -- 12 | General Vezax kills (Ulduar 10 player)
2869, -- 13 | Yogg-Saron kills (Ulduar 10 player)
2867  -- 14 | Algalon the Observer kills (Ulduar 10 player)
}
CharScanner_Data_PvE[3][2][3].statisticTotal = #CharScanner_Data_PvE[3][2][3].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Ulduar END                                        --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Crusader (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][4] = {}
CharScanner_Data_PvE[3][2][4].name = "TotC10Normal"
CharScanner_Data_PvE[3][2][4].achievement = {}
CharScanner_Data_PvE[3][2][4].achievement = {
3797, --  1 | Upper Back Pain (10 player)
3798, --  2 | Resilience Will Fix It (10 player)
3799, --  3 | Salt and Pepper (10 player)
3800, --  4 | The Traitor King (10 player)
3936, --  5 | Not One, But Two Jormungars (10 player)
3996, --  6 | Three Sixty Pain Spike (10 player)
3917  --  7 | Call of the Crusade (10 player)
}
CharScanner_Data_PvE[3][2][4].achievementTotal = #CharScanner_Data_PvE[3][2][4].achievement
CharScanner_Data_PvE[3][2][4].statistic = {}
CharScanner_Data_PvE[3][2][4].statistic = {
4028, -- 1 | Victories over the Beasts of Northrend (Trial of the Crusader 10 player)
4032, -- 2 | Lord Jaraxxus kills (Trial of the Crusader 10 player)
4036, -- 3 | Victories over the Faction Champions (Trial of the Crusader 10 player)
4040, -- 4 | Val'kyr Twins kills (Trial of the Crusader 10 player)
4044  -- 5 | Times completed the Trial of the Crusader (10 player)
}
CharScanner_Data_PvE[3][2][4].statisticTotal = #CharScanner_Data_PvE[3][2][4].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Crusader (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Grand Crusader (hero) START          --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][5] = {}
CharScanner_Data_PvE[3][2][5].name = "TotC10Heroic"
CharScanner_Data_PvE[3][2][5].achievement = {}
CharScanner_Data_PvE[3][2][5].achievement = {
3918, -- 1 | Call of the Grand Crusade (10 player)
--3808     | A Tribute to Skill (10 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
--3809     | A Tribute to Mad Skill (10 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
--3810     | A Tribute to Insanity (10 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
--4080     | A Tribute to Dedicated Insanity -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
}
CharScanner_Data_PvE[3][2][5].achievementTotal = #CharScanner_Data_PvE[3][2][5].achievement
CharScanner_Data_PvE[3][2][5].statistic = {}
CharScanner_Data_PvE[3][2][5].statistic = {
4030, -- 1 | Victories over the Beasts of Northrend (Trial of the Grand Crusader 10 player)
4033, -- 2 | Lord Jaraxxus kills (Trial of the Grand Crusader 10 player)
4037, -- 3 | Victories over the Faction Champions (Trial of the Grand Crusader 10 player)
4041, -- 4 | Val'kyr Twins kills (Trial of the Grand Crusader 10 player)
4045  -- 5 | Times completed the Trial of the Grand Crusader (10 player)
}
CharScanner_Data_PvE[3][2][5].statisticTotal = #CharScanner_Data_PvE[3][2][5].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Grand Crusader (hero) END            --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Icecrown Citadel (normal) START                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][6] = {}
CharScanner_Data_PvE[3][2][6].name = "ICC10Normal"
CharScanner_Data_PvE[3][2][6].achievement = {}
CharScanner_Data_PvE[3][2][6].achievement = {
4531, --  1 | Storming the Citadel (10 player) -- added (Patch 3.3.0.10958)
4528, --  2 | The Plagueworks (10 player) -- added (Patch 3.3.0.10958)
4529, --  3 | The Crimson Hall (10 player) -- added (Patch 3.3.0.10958)
4527, --  4 | The Frostwing Halls (10 player) -- added (Patch 3.3.0.10958)
4530, --  5 | The Frozen Throne (10 player) -- added (Patch 3.3.0.10958)
4532, --  6 | Fall of the Lich King (10 player) -- added (Patch 3.3.0.10958)
4534, --  7 | Boned (10 player) -- added (Patch 3.3.0.10958)
4535, --  8 | Full House (10 player) -- added (Patch 3.3.0.10958)
4536, --  9 | I'm on a Boat (10 player) -- added (Patch 3.3.0.10958)
4537, -- 10 | I've Gone and Made a Mess (10 player) -- added (Patch 3.3.0.10958)
4538, -- 11 | Dances with Oozes (10 player) -- added (Patch 3.3.0.10958)
4577, -- 12 | Flu Shot Shortage (10 player) -- added (Patch 3.3.0.10958)
4578, -- 13 | Nausea, Heartburn, Indigestion... (10 player) -- added (Patch 3.3.0.10958)
4582, -- 14 | The Orb Whisperer (10 player) -- added (Patch 3.3.0.10958)
4539, -- 15 | Once Bitten, Twice Shy (10 player) -- added (Patch 3.3.0.10958)
4579, -- 16 | Portal Jockey (10 player) -- added (Patch 3.3.0.10958)
4580, -- 17 | All You Can Eat (10 player) -- added (Patch 3.3.0.10958)
4601, -- 18 | Been Waiting a Long Time for This (10 player) -- added (Patch 3.3.0.10958)
4581  -- 19 | Neck-Deep in Vile (10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][2][6].achievementTotal = #CharScanner_Data_PvE[3][2][6].achievement
CharScanner_Data_PvE[3][2][6].statistic = {}
CharScanner_Data_PvE[3][2][6].statistic = {
4639, --  1 | Lord Marrowgar kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4643, --  2 | Lady Deathwhisper kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4644, --  3 | Gunship Battle victories (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4645, --  4 | Deathbringer kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4646, --  5 | Festergut kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4647, --  6 | Rotface kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4650, --  7 | Professor Putricide kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4648, --  8 | Blood Prince Council kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4651, --  9 | Blood Queen Lana'thel kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4649, -- 10 | Valithria Dreamwalker rescues (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4652, -- 11 | Sindragosa kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4653, -- 12 | Victories over the Lich King (Icecrown 10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][2][6].statisticTotal = #CharScanner_Data_PvE[3][2][6].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Icecrown Citadel (normal) END                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Icecrown Citadel (hero) START                     --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2][7] = {}
CharScanner_Data_PvE[3][2][7].name = "ICC10Heroic"
CharScanner_Data_PvE[3][2][7].achievement = {}
CharScanner_Data_PvE[3][2][7].achievement = {
4628, --  1 | Heroic: Storming the Citadel (10 player) -- added (Patch 3.3.0.10958)
4629, --  2 | Heroic: The Plagueworks (10 player) -- added (Patch 3.3.0.10958)
4630, --  3 | Heroic: The Crimson Hall (10 player) -- added (Patch 3.3.0.10958)
4631, --  4 | Heroic: The Frostwing Halls (10 player) -- added (Patch 3.3.0.10958)
4636, --  5 | Heroic: Fall of the Lich King (10 player) -- added (Patch 3.3.0.10958)
4583  --  6 | Bane of the Fallen King -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][2][7].achievementTotal = #CharScanner_Data_PvE[3][2][7].achievement
CharScanner_Data_PvE[3][2][7].statistic = {}
CharScanner_Data_PvE[3][2][7].statistic = {
4640, --  1 | Lord Marrowgar kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4654, --  2 | Lady Deathwhisper kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4659, --  3 | Gunship Battle victories (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4662, --  4 | Deathbringer kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4665, --  5 | Festergut kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4668, --  6 | Rotface kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4677, --  7 | Professor Putricide kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4671, --  8 | Blood Prince Council kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4680, --  9 | Blood Queen Lana'thel kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4674, -- 10 | Valithria Dreamwalker rescues (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4684, -- 11 | Sindragosa kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4686  -- 12 | Victories over the Lich King (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][2][7].statisticTotal = #CharScanner_Data_PvE[3][2][7].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Icecrown Citadel (hero) END                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][2].achievementTotal = 0
CharScanner_Data_PvE[3][2].statisticTotal   = 0
for i = 1, #CharScanner_Data_PvE[3][2] do
	CharScanner_Data_PvE[3][2].achievementTotal = CharScanner_Data_PvE[3][2].achievementTotal + CharScanner_Data_PvE[3][2][i].achievementTotal
	CharScanner_Data_PvE[3][2].statisticTotal   = CharScanner_Data_PvE[3][2].statisticTotal   + CharScanner_Data_PvE[3][2][i].statisticTotal
end
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 10 player raid END                                                                     --
-- ---------------------------------------------------------------------------------------------- --

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 25 player raid START                                                                   --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3] = {}
CharScanner_Data_PvE[3][3].name = "raid25p"

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Naxxramas START                                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][1] = {}
CharScanner_Data_PvE[3][3][1].name = "Naxx25"
CharScanner_Data_PvE[3][3][1].achievement = {}
CharScanner_Data_PvE[3][3][1].achievement = {
563,  --  1 | Heroic: The Arachnid Quarter
565,  --  2 | Heroic: The Construct Quarter
567,  --  3 | Heroic: The Plague Quarter
569,  --  4 | Heroic: The Military Quarter
573,  --  5 | Heroic: Sapphiron's Demise
575,  --  6 | Heroic: Kel'Thuzad's Defeat
577,  --  7 | Heroic: The Fall of Naxxramas
579,  --  8 | Heroic: The Dedicated Few
1857, --  9 | Heroic: Make Quick Werk Of Him
1859, -- 10 | Heroic: Arachnophobia
2139, -- 11 | Heroic: The Safety Dance
2140, -- 12 | Heroic: Momma Said Knock You Out
2147, -- 13 | Heroic: The Hundred Club
2177, -- 14 | Heroic: And They Would All Go Down Together
2179, -- 15 | Heroic: Shocking!
2181, -- 16 | Heroic: Subtraction
2183, -- 17 | Heroic: Spore Loser
2185  -- 18 | Heroic: Just Can't Get Enough
--2186      | The Immortal -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
}
CharScanner_Data_PvE[3][3][1].achievementTotal = #CharScanner_Data_PvE[3][3][1].achievement
CharScanner_Data_PvE[3][3][1].statistic = {}
CharScanner_Data_PvE[3][3][1].statistic = {
1368, --  1 | Anub'Rekhan kills (Naxxramas 25 player)
1380, --  2 | Grand Widow Faerlina kills (Naxxramas 25 player)
1386, --  3 | Maexxna kills (Naxxramas 25 player)
1367, --  4 | Patchwerk kills (Naxxramas 25 player)
1381, --  5 | Grobbulus kills (Naxxramas 25 player)
1378, --  6 | Gluth kills (Naxxramas 25 player)
1388, --  7 | Thaddius kills (Naxxramas 25 player)
1387, --  8 | Noth the Plaguebringer kills (Naxxramas 25 player)
1382, --  9 | Heigan the Unclean kills (Naxxramas 25 player)
1385, -- 10 | Loatheb kills (Naxxramas 25 player)
1384, -- 11 | Instructor Razuvious kills (Naxxramas 25 player)
1379, -- 12 | Gothik the Harvester kills (Naxxramas 25 player)
1383, -- 13 | Four Horsemen kills (Naxxramas 25 player)
1389, -- 14 | Sapphiron kills (Naxxramas 25 player)
1390  -- 15 | Kel'Thuzad kills (Naxxramas 25 player)
}
CharScanner_Data_PvE[3][3][1].statisticTotal = #CharScanner_Data_PvE[3][3][1].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Naxxramas END                                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Other START                                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][2] = {}
CharScanner_Data_PvE[3][3][2].name = "Other25"
CharScanner_Data_PvE[3][3][2].achievement = {}
CharScanner_Data_PvE[3][3][2].achievement = {
623,  --  1 | Malygos    | Heroic: The Spellweaver's Downfall
625,  --  2 | Sartharion | Heroic: Besting the Black Dragonflight
1870, --  3 | Malygos    | Heroic: A Poke In The Eye
1875, --  4 | Malygos    | Heroic: You Don't Have An Eternity
1877, --  5 | Sartharion | Heroic: Less Is More
2048, --  6 | Sartharion | Heroic: Gonna Go When the Volcano Blows
2052, --  7 | Sartharion | Heroic: Twilight Assist
2053, --  8 | Sartharion | Heroic: Twilight Duo
2054, --  9 | Sartharion | Heroic: The Twilight Zone
2149, -- 10 | Malygos    | Heroic: Denyin' the Scion
4017, -- 11 | Archavon/Emalon/Koralon | Earth, Wind & Fire (25 player)
4397, -- 12 | Onyxia     | Onyxia's Lair (25 player) -- added (Patch 3.2.2.10482)
4405, -- 13 | Onyxia     | More Dots! (25 player) -- added (Patch 3.2.2.10482)
4406, -- 14 | Onyxia     | Many Whelps! Handle It! (25 player) -- added (Patch 3.2.2.10482)
4407, -- 15 | Onyxia     | She Deep Breaths More (25 player) -- added (Patch 3.2.2.10482)
4815, -- 16 | Halion     | The Twilight Destroyer (25 player)
4816  -- 17 | Halion     | Heroic: The Twilight Destroyer (25 player)
}
CharScanner_Data_PvE[3][3][2].achievementTotal = #CharScanner_Data_PvE[3][3][2].achievement
CharScanner_Data_PvE[3][3][2].statistic = {}
CharScanner_Data_PvE[3][3][2].statistic = {
1394, --  1 | Malygos kills (25 player)
1393, --  2 | Sartharion kills (Chamber of the Aspects 25 player)
1754, --  3 | Archavon the Stone Watcher kills (Wintergrasp 25 player)
3236, --  4 | Emalon the Storm Watcher kills (Wintergrasp 25 player)
4075, --  5 | Koralon the Flame Watcher kills (Wintergrasp 25 player)
4658, --  6 | Toravon the Ice Watcher kills (Wintergrasp 10 player) -- added (Patch 3.3.2.11403)
4820, --  7 | Halion kills (Ruby Sanctum 25 player) -- added (Patch 3.3.5.12340)
4823  --  8 | Halion kills (Heroic Ruby Sanctum 25 player) -- added (Patch 3.3.5.12340)
}
CharScanner_Data_PvE[3][3][2].statisticTotal = #CharScanner_Data_PvE[3][3][2].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Other END                                         --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Ulduar START                                      --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][3] = {}
CharScanner_Data_PvE[3][3][3].name = "Ulduar25"
CharScanner_Data_PvE[3][3][3].achievement = {}
CharScanner_Data_PvE[3][3][3].achievement = {
2887, --  1 | Heroic: The Siege of Ulduar
2889, --  2 | Heroic: The Antechamber of Ulduar
2891, --  3 | Heroic: The Keepers of Ulduar
2893, --  4 | Heroic: The Descent into Madness
2895, --  5 | Heroic: The Secrets of Ulduar
--2904      | Conqueror of Ulduar -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
2906, --  6 | Heroic: Unbroken
2908, --  7 | Heroic: Three Car Garage
2910, --  8 | Heroic: Take Out Those Turrets
2912, --  9 | Heroic: Shutout
2916, -- 10 | Heroic: Orbital Devastation
2917, -- 11 | Heroic: Nuked from Orbit
2918, -- 12 | Heroic: Orbital Bombardment
2921, -- 13 | Heroic: A Quick Shave
2924, -- 14 | Heroic: Iron Dwarf, Medium Rare
2926, -- 15 | Heroic: Shattered
2928, -- 16 | Heroic: Hot Pocket
2929, -- 17 | Heroic: Stokin' the Furnace
2932, -- 18 | Heroic: Nerf Engineering
2935, -- 19 | Heroic: Nerf Scrapbots
2936, -- 20 | Heroic: Nerf Gravity Bombs
2938, -- 21 | Heroic: Must Deconstruct Faster
2942, -- 22 | Heroic: I Choose You, Runemaster Molgeim
2943, -- 23 | Heroic: I Choose You, Stormcaller Brundir
2944, -- 24 | Heroic: I Choose You, Steelbreaker
2946, -- 25 | Heroic: But I'm on Your Side
2948, -- 26 | Heroic: Can't Do That While Stunned
2952, -- 27 | Heroic: With Open Arms
2954, -- 28 | Heroic: Disarmed
2956, -- 29 | Heroic: If Looks Could Kill
2960, -- 30 | Heroic: Rubble and Roll
2962, -- 31 | Heroic: Cheese the Freeze
2965, -- 32 | Heroic: I Have the Coolest Friends
2968, -- 33 | Heroic: Getting Cold in Here
2970, -- 34 | Heroic: Staying Buffed All Winter
2972, -- 35 | Heroic: Don't Stand in the Lightning
2974, -- 36 | Heroic: I'll Take You All On
2976, -- 37 | Heroic: Who Needs Bloodlust?
2978, -- 38 | Heroic: Siffed
2981, -- 39 | Heroic: Con-speed-atory
2983, -- 40 | Heroic: Getting Back to Nature
2984, -- 41 | Heroic: Deforestation
2995, -- 42 | Heroic: Not-So-Friendly Fire
2997, -- 43 | Heroic: Shadowdodger
3002, -- 44 | Heroic: Supermassive
--3005      | Heroic: He Feeds On Your Tears -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
3007, -- 45 | Heroic: Crazy Cat Lady
3010, -- 46 | Heroic: Drive Me Crazy
3011, -- 47 | Heroic: Kiss and Make Up
3013, -- 48 | Heroic: He's Not Getting Any Older
3016, -- 49 | Heroic: In His House He Waits Dreaming
3017, -- 50 | Heroic: They're Coming Out of the Walls
3037, -- 51 | Heroic: Observed
3057, -- 52 | Heroic: Orbit-uary
3059, -- 53 | Heroic: Heartbreaker
3077, -- 54 | Heroic: Nine Lives
3098, -- 55 | Heroic: Dwarfageddon
3118, -- 56 | Heroic: Lumberjacked
3161, -- 57 | Heroic: Three Lights in the Darkness
3162, -- 58 | Heroic: Two Lights in the Darkness
3163, -- 59 | Heroic: One Light in the Darkness
3164, -- 60 | Heroic: Alone in the Darkness
3183, -- 61 | Heroic: Lose Your Illusion
3184, -- 62 | Heroic: I Could Say That This Cache Was Rare
3185, -- 63 | Heroic: Knock on Wood
3186, -- 64 | Heroic: Knock, Knock on Wood
3187, -- 65 | Heroic: Knock, Knock, Knock on Wood
3188, -- 66 | Heroic: I Love the Smell of Saronite in the Morning
3189, -- 67 | Heroic: Firefighter
3237  -- 68 | Heroic: Set Up Us the Bomb
}
CharScanner_Data_PvE[3][3][3].achievementTotal = #CharScanner_Data_PvE[3][3][3].achievement
CharScanner_Data_PvE[3][3][3].statistic = {}
CharScanner_Data_PvE[3][3][3].statistic = {
2872, --  1 | Flame Leviathan kills (Ulduar 25 player)
2873, --  2 | Razorscale kills (Ulduar 25 player)
2874, --  3 | Ignis the Furnace Master kills (Ulduar 25 player)
2884, --  4 | XT-002 Deconstructor kills (Ulduar 25 player)
2885, --  5 | Assembly of Iron kills (Ulduar 25 player)
2875, --  6 | Kologarn kills (Ulduar 25 player)
2882, --  7 | Auriaya kills (Ulduar 25 player)
3256, --  8 | Hodir victories (Ulduar 25 player)
3257, --  9 | Thorim victories (Ulduar 25 player)
3258, -- 10 | Freya victories (Ulduar 25 player)
2879, -- 11 | Mimiron victories (Ulduar 25 player)
2880, -- 12 | General Vezax kills (Ulduar 25 player)
2883, -- 13 | Yogg-Saron kills (Ulduar 25 player)
2881  -- 14 | Algalon the Observer kills (Ulduar 25 player)
}
CharScanner_Data_PvE[3][3][3].statisticTotal = #CharScanner_Data_PvE[3][3][3].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Ulduar END                                        --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Crusader (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][4] = {}
CharScanner_Data_PvE[3][3][4].name = "TotC25Normal"
CharScanner_Data_PvE[3][3][4].achievement = {}
CharScanner_Data_PvE[3][3][4].achievement = {
3813, -- 1 | Upper Back Pain (25 player)
--3814, -- 2 | Resilience Will Fix It (25 player) -- removed (Patch 4.0.3.13329) this is maybe a bug...the same achievement for 10 player is still in game
3815, -- 3 | Salt and Pepper (25 player)
3816, -- 4 | The Traitor King (25 player)
3937, -- 5 | Not One, But Two Jormungars (25 player)
3997, -- 6 | Three Sixty Pain Spike (25 player)
3916  -- 7 | Call of the Crusade (25 player)
}
CharScanner_Data_PvE[3][3][4].achievementTotal = #CharScanner_Data_PvE[3][3][4].achievement
CharScanner_Data_PvE[3][3][4].statistic = {}
CharScanner_Data_PvE[3][3][4].statistic = {
4031, -- 1 | Victories over the Beasts of Northrend (Trial of the Crusader 25 player)
4034, -- 2 | Lord Jaraxxus kills (Trial of the Crusader 25 player)
4038, -- 3 | Victories over the Faction Champions (Trial of the Crusader 25 player)
4042, -- 4 | Val'kyr Twins kills (Trial of the Crusader 25 player)
4046  -- 5 | Times completed the Trial of the Crusader (25 player)
}
CharScanner_Data_PvE[3][3][4].statisticTotal = #CharScanner_Data_PvE[3][3][4].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Crusader (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Grand Crusader (hero) START          --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][5] = {}
CharScanner_Data_PvE[3][3][5].name = "TotC25Heroic"
CharScanner_Data_PvE[3][3][5].achievement = {}
CharScanner_Data_PvE[3][3][5].achievement = {
3812, -- 1 | Call of the Grand Crusade (25 player)
--3817     | A Tribute to Skill (25 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
--3818     | A Tribute to Mad Skill (25 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
--3819     | A Tribute to Insanity (25 player) -- removed (Patch 4.0.3.13329) - this is now a Feats of Strength achievement
}
CharScanner_Data_PvE[3][3][5].achievementTotal = #CharScanner_Data_PvE[3][3][5].achievement
CharScanner_Data_PvE[3][3][5].statistic = {}
CharScanner_Data_PvE[3][3][5].statistic = {
4029, -- 1 | Victories over the Beasts of Northrend (Trial of the Grand Crusader 25 player)
4035, -- 2 | Lord Jaraxxus kills (Trial of the Grand Crusader 25 player)
4039, -- 3 | Victories over the Faction Champions (Trial of the Grand Crusader 25 player)
4043, -- 4 | Val'kyr Twins kills (Trial of the Grand Crusader 25 player)
4047  -- 5 | Times completed the Trial of the Grand Crusader (25 player)
}
CharScanner_Data_PvE[3][3][5].statisticTotal = #CharScanner_Data_PvE[3][3][5].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Grand Crusader (hero) END            --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Icecrown Citadel (normal) START                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][6] = {}
CharScanner_Data_PvE[3][3][6].name = "ICC25Normal"
CharScanner_Data_PvE[3][3][6].achievement = {}
CharScanner_Data_PvE[3][3][6].achievement = {
4604, --  1 | Storming the Citadel (25 player) -- added (Patch 3.3.0.10958)
4605, --  2 | The Plagueworks (25 player) -- added (Patch 3.3.0.10958)
4606, --  3 | The Crimson Hall (25 player) -- added (Patch 3.3.0.10958)
4607, --  4 | The Frostwing Halls (25 player) -- added (Patch 3.3.0.10958)
4597, --  5 | The Frozen Throne (25 player) -- added (Patch 3.3.0.10958)
4608, --  6 | Fall of the Lich King (25 player) -- added (Patch 3.3.0.10958)
4610, --  7 | Boned (25 player) -- added (Patch 3.3.0.10958)
4611, --  8 | Full House (25 player) -- added (Patch 3.3.0.10958)
4612, --  9 | I'm on a Boat (25 player) -- added (Patch 3.3.0.10958)
4613, -- 10 | I've Gone and Made a Mess (25 player) -- added (Patch 3.3.0.10958)
4614, -- 11 | Dances with Oozes (25 player) -- added (Patch 3.3.0.10958)
4615, -- 12 | Flu Shot Shortage (25 player) -- added (Patch 3.3.0.10958)
4616, -- 13 | Nausea, Heartburn, Indigestion... (25 player) -- added (Patch 3.3.0.10958)
4617, -- 14 | The Orb Whisperer (25 player) -- added (Patch 3.3.0.10958)
4618, -- 15 | Once Bitten, Twice Shy (25 player) -- added (Patch 3.3.0.10958)
4619, -- 16 | Portal Jockey (25 player) -- added (Patch 3.3.0.10958)
4620, -- 17 | All You Can Eat (25 player) -- added (Patch 3.3.0.10958)
4621, -- 18 | Been Waiting a Long Time for This (25 player) -- added (Patch 3.3.0.10958)
4622  -- 19 | Neck-Deep in Vile (25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][3][6].achievementTotal = #CharScanner_Data_PvE[3][3][6].achievement
CharScanner_Data_PvE[3][3][6].statistic = {}
CharScanner_Data_PvE[3][3][6].statistic = {
4641, --  1 | Lord Marrowgar kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4655, --  2 | Lady Deathwhisper kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4660, --  3 | Gunship Battle victories (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4663, --  4 | Deathbringer kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4666, --  5 | Festergut kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4669, --  6 | Rotface kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4678, --  7 | Professor Putricide kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4672, --  8 | Blood Prince Council kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4681, --  9 | Blood Queen Lana'thel kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4675, -- 10 | Valithria Dreamwalker rescues (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4683, -- 11 | Sindragosa kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4687  -- 12 | Victories over the Lich King (Icecrown 25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][3][6].statisticTotal = #CharScanner_Data_PvE[3][3][6].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Icecrown Citadel (normal) END                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Icecrown Citadel (hero) START                     --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3][7] = {}
CharScanner_Data_PvE[3][3][7].name = "ICC25Heroic"
CharScanner_Data_PvE[3][3][7].achievement = {}
CharScanner_Data_PvE[3][3][7].achievement = {
4632, --  1 | Heroic: Storming the Citadel (25 player) -- added (Patch 3.3.0.10958)
4633, --  2 | Heroic: The Plagueworks (25 player) -- added (Patch 3.3.0.10958)
4634, --  3 | Heroic: The Crimson Hall (25 player) -- added (Patch 3.3.0.10958)
4635, --  4 | Heroic: The Frostwing Halls (25 player) -- added (Patch 3.3.0.10958)
4637, --  5 | Heroic: Fall of the Lich King (25 player) -- added (Patch 3.3.0.10958)
4584  --  6 | The Light of Dawn -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][3][7].achievementTotal = #CharScanner_Data_PvE[3][3][7].achievement
CharScanner_Data_PvE[3][3][7].statistic = {}
CharScanner_Data_PvE[3][3][7].statistic = {
4642, --  1 | Lord Marrowgar kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4656, --  2 | Lady Deathwhisper kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4661, --  3 | Gunship Battle victories (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4664, --  4 | Deathbringer kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4667, --  5 | Festergut kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4670, --  6 | Rotface kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4679, --  7 | Professor Putricide kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4673, --  8 | Blood Prince Council kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4682, --  9 | Blood Queen Lana'thel kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4676, -- 10 | Valithria Dreamwalker rescues (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4685, -- 11 | Sindragosa kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4688  -- 12 | Victories over the Lich King (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data_PvE[3][3][7].statisticTotal = #CharScanner_Data_PvE[3][3][7].statistic
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Icecrown Citadel (hero) END                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[3][3].achievementTotal = 0
CharScanner_Data_PvE[3][3].statisticTotal   = 0
for i = 1, #CharScanner_Data_PvE[3][3] do
	CharScanner_Data_PvE[3][3].achievementTotal = CharScanner_Data_PvE[3][3].achievementTotal + CharScanner_Data_PvE[3][3][i].achievementTotal
	CharScanner_Data_PvE[3][3].statisticTotal   = CharScanner_Data_PvE[3][3].statisticTotal   + CharScanner_Data_PvE[3][3][i].statisticTotal
end
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 25 player raid END                                                                     --
-- ---------------------------------------------------------------------------------------------- --

CharScanner_Data_PvE[3].achievementTotal = 0
CharScanner_Data_PvE[3].statisticTotal = 0
for i = 1, #CharScanner_Data_PvE[3] do
	CharScanner_Data_PvE[3].achievementTotal = CharScanner_Data_PvE[3].achievementTotal + CharScanner_Data_PvE[3][i].achievementTotal
	CharScanner_Data_PvE[3].statisticTotal   = CharScanner_Data_PvE[3].statisticTotal   + CharScanner_Data_PvE[3][i].statisticTotal
end
-- ------------------------------------------------------------------------------------------------------------------ --
-- WotLK (Wrath of the Lich King) END                                                                                 --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- Cataclysm START                                                                                                    --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data_PvE[4] = {}
CharScanner_Data_PvE[4].name = "Cataclysm"

-- ---------------------------------------------------------------------------------------------- --
-- Cataclysm - Heroic Dungeons START                                                              --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][1] = {}
CharScanner_Data_PvE[4][1].name = "catahero"
CharScanner_Data_PvE[4][1].achievement = {}
CharScanner_Data_PvE[4][1].achievement = {
4833, --  1 | Blackrock Caverns                  | Blackrock Caverns |
5060, --  2 | Heroic: Blackrock Caverns          | Blackrock Caverns |
5281, --  3 | Crushing Bones and Cracking Skulls | Blackrock Caverns |
5282, --  4 | Arrested Development               | Blackrock Caverns |
5283, --  5 | Too Hot to Handle                  | Blackrock Caverns |
5284, --  6 | Ascendant Descending               | Blackrock Caverns |
4839, --  7 | Throne of the Tides         | Throne of the Tides |
5061, --  8 | Heroic: Throne of the Tides | Throne of the Tides |
5285, --  9 | Old Faithful                | Throne of the Tides |
5286, -- 10 | Prince of Tides             | Throne of the Tides |
4847, -- 11 | The Vortex Pinnacle         | The Vortex Pinnacle |
5064, -- 12 | Heroic: The Vortex Pinnacle | The Vortex Pinnacle |
5288, -- 13 | No Static at All            | The Vortex Pinnacle |
5289, -- 14 | Extra Credit Bonus Stage    | The Vortex Pinnacle |
4846, -- 15 | The Stonecore         | The Stonecore |
5063, -- 16 | Heroic: The Stonecore | The Stonecore |
5287, -- 17 | Rotten to the Core    | The Stonecore |
4848, -- 18 | Lost City of the Tol'vir          | Lost City of the Tol'vir |
5066, -- 19 | Heroic: Lost City of the Tol'vir  | Lost City of the Tol'vir |
5290, -- 20 | Kill It With Fire!                | Lost City of the Tol'vir |
5291, -- 21 | Acrocalypse Now                   | Lost City of the Tol'vir |
5292, -- 22 | Headed South                      | Lost City of the Tol'vir |
5294, -- 23 | Straw That Broke the Camel's Back | Lost City of the Tol'vir |
4841, -- 24 | Halls of Origination           | Halls of Origination |
5065, -- 25 | Heroic: Halls of Origination   | Halls of Origination |
5293, -- 26 | I Hate That Song               | Halls of Origination |
5295, -- 27 | Sun of a....                   | Halls of Origination |
5296, -- 28 | Faster Than the Speed of Light | Halls of Origination |
4840, -- 29 | Grim Batol                                 | Grim Batol |
5062, -- 30 | Heroic: Grim Batol                         | Grim Batol |
5297, -- 31 | Umbrage for Umbriss                        | Grim Batol |
5298, -- 32 | Don't Need to Break Eggs to Make an Omelet | Grim Batol |
5083, -- 33 | Heroic: Deadmines            | Deadmines |
5366, -- 34 | Ready for Raiding            | Deadmines |
5367, -- 35 | Rat Pack                     | Deadmines |
5368, -- 36 | Prototype Prodigy            | Deadmines |
5369, -- 37 | It's Frost Damage            | Deadmines |
5370, -- 38 | I'm on a Diet                | Deadmines |
5371, -- 39 | Vigorous VanCleef Vindicator | Deadmines |
5093, -- 40 | Heroic: Shadowfang Keep | Shadowfang Keep |
5503, -- 41 | Pardon Denied           | Shadowfang Keep |
5504, -- 42 | To the Ground!          | Shadowfang Keep |
5505, -- 43 | Bullet Time             | Shadowfang Keep |
5750, -- 44 | Tunnel Vision    | Zul'Aman | -- added (Patch 4.1.0.13914)
5760, -- 45 | Ring Out!        | Zul'Aman | -- added (Patch 4.1.0.13914)
5761, -- 46 | Hex Mix          | Zul'Aman | -- added (Patch 4.1.0.13914)
5769, -- 47 | Heroic: Zul'Aman | Zul'Aman | -- added (Patch 4.1.0.13914)
5744, -- 48 | Gurubashi Headhunter      | Zul'Gurub | -- added (Patch 4.1.0.13914)
5743, -- 49 | It's Not Easy Being Green | Zul'Gurub | -- added (Patch 4.1.0.13914)
5759, -- 50 | Spirit Twister            | Zul'Gurub | -- added (Patch 4.1.0.13914)
5762, -- 51 | Ohganot So Fast!          | Zul'Gurub | -- added (Patch 4.1.0.13914)
5765, -- 52 | Here, Kitty Kitty...      | Zul'Gurub | -- added (Patch 4.1.0.13914)
5768, -- 53 | Heroic: Zul'Gurub         | Zul'Gurub | -- added (Patch 4.1.0.13914)
5858  -- 54 | Bear-ly Made It  | Zul'Aman | -- added (Patch 4.2.0.14333)

}
CharScanner_Data_PvE[4][1].achievementTotal = #CharScanner_Data_PvE[4][1].achievement
CharScanner_Data_PvE[4][1].statistic = {}
CharScanner_Data_PvE[4][1].statistic = {
5725, --  1 | Ascendant Lord Obsidius kills (Heroic Blackrock Caverns)
5727, --  2 | Ozumat kills (Heroic Throne of the Tides)
5729, --  3 | High Priestess Azil kills (Heroic Stonecore)
5731, --  4 | Asaad kills (Heroic Vortex Pinnacle)
5733, --  5 | Erudax kills (Heroic Grim Batol)
5735, --  6 | Rajh kills (Heroic Halls of Origination)
5737, --  7 | Siamat kills (Heroic Lost City of the Tol'vir)
5738, --  8 | Vanessa VanCleef kills (Heroic Deadmines)
5739, --  9 | Lord Godfrey kills (Heroic Shadowfang Keep)
5773, -- 10 | Daakara kills (Heroic Zul'Aman) -- added (Patch 4.1.0.13914)
5774  -- 11 | Jin'do kills (Heroic Zul'Gurub) -- added (Patch 4.1.0.13914)
}
CharScanner_Data_PvE[4][1].statisticTotal = #CharScanner_Data_PvE[4][1].statistic
-- ---------------------------------------------------------------------------------------------- --
-- Cataclysm - Heroic Dungeons END                                                                --
-- ---------------------------------------------------------------------------------------------- --

-- ---------------------------------------------------------------------------------------------- --
-- Cataclysm - Raids START                                                                        --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2] = {}
CharScanner_Data_PvE[4][2].name = "raids"

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Baradin Hold START                                     --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][1] = {}
CharScanner_Data_PvE[4][2][1].name = "BaradinHold"
CharScanner_Data_PvE[4][2][1].achievement = {}
CharScanner_Data_PvE[4][2][1].achievement = {
5416, --  1 | Pit Lord Argaloth
6045  --  2 | Occu'thar -- added (Patch 4.2.2.14545)
}
CharScanner_Data_PvE[4][2][1].achievementTotal = #CharScanner_Data_PvE[4][2][1].achievement
CharScanner_Data_PvE[4][2][1].statistic = {}
CharScanner_Data_PvE[4][2][1].statistic = {
5578, --  1 | Argaloth kills (Baradin Hold)
5981  --  2 | Occu'thar kills (Baradin Hold) -- added (Patch 4.2.2.14545)
}
CharScanner_Data_PvE[4][2][1].statisticTotal = #CharScanner_Data_PvE[4][2][1].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Baradin Hold END                                       --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Blackwing Descent START                                --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][2] = {}
CharScanner_Data_PvE[4][2][2].name = "BlackwingDescent"
CharScanner_Data_PvE[4][2][2].achievement = {}
CharScanner_Data_PvE[4][2][2].achievement = {
4842, --  1 | Blackwing Descent
4849, --  2 | Keeping it in the Family
5306, --  3 | Parasite Evening
5307, --  4 | Achieve-a-tron
5308, --  5 | Silence is Golden
5309, --  6 | Full of Sound and Fury
5310  --  7 | Aberrant Behavior
}
CharScanner_Data_PvE[4][2][2].achievementTotal = #CharScanner_Data_PvE[4][2][2].achievement
CharScanner_Data_PvE[4][2][2].statistic = {}
CharScanner_Data_PvE[4][2][2].statistic = {
5555, --  1 | Magmaw kills (Blackwing Descent)
5557, --  2 | Omnotron kills (Blackwing Descent)
5559, --  3 | Maloriak kills (Blackwing Descent)
5561, --  4 | Atramedes kills (Blackwing Descent)
5564, --  5 | Chimaeron kills (Blackwing Descent)
5565  --  6 | Nefarian kills (Blackwing Descent)
}
CharScanner_Data_PvE[4][2][2].statisticTotal = #CharScanner_Data_PvE[4][2][2].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Blackwing Descent END                                  --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Blackwing Descent (Heroic) START                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][3] = {}
CharScanner_Data_PvE[4][2][3].name = "BlackwingDescentHero"
CharScanner_Data_PvE[4][2][3].achievement = {}
CharScanner_Data_PvE[4][2][3].achievement = {
5094, --  1 | Heroic: Magmaw
5107, --  2 | Heroic: Omnotron Defense System
5108, --  3 | Heroic: Maloriak
5109, --  4 | Heroic: Atramedes
5115, --  5 | Heroic: Chimaeron
5116  --  6 | Heroic: Nefarian
}
CharScanner_Data_PvE[4][2][3].achievementTotal = #CharScanner_Data_PvE[4][2][3].achievement
CharScanner_Data_PvE[4][2][3].statistic = {}
CharScanner_Data_PvE[4][2][3].statistic = {
5556, --  1 | Magmaw Heroic kills (Blackwing Descent)
5558, --  2 | Omnotron Heroic kills (Blackwing Descent)
5560, --  3 | Maloriak Heroic kills (Blackwing Descent)
5562, --  4 | Atramedes Heroic kills (Blackwing Descent)
5563, --  5 | Chimaeron Heroic kills (Blackwing Descent)
5566  --  6 | Nefarian Heroic kills (Blackwing Descent)
}
CharScanner_Data_PvE[4][2][3].statisticTotal = #CharScanner_Data_PvE[4][2][3].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Blackwing Descent (Heroic) END                         --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - The Bastion of Twilight START                          --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][4] = {}
CharScanner_Data_PvE[4][2][4].name = "BastionOfTwilight"
CharScanner_Data_PvE[4][2][4].achievement = {}
CharScanner_Data_PvE[4][2][4].achievement = {
4850, --  1 | The Bastion of Twilight
4852, --  2 | Double Dragon
5300, --  3 | The Only Escape
5311, --  4 | Elementary
5312, --  5 | The Abyss Will Gaze Back Into You
5313  --  6 | I Can't Hear You Over the Sound of How Awesome I Am
}
CharScanner_Data_PvE[4][2][4].achievementTotal = #CharScanner_Data_PvE[4][2][4].achievement
CharScanner_Data_PvE[4][2][4].statistic = {}
CharScanner_Data_PvE[4][2][4].statistic = {
5554, --  1 | Halfus Wyrmbreaker kills (Bastion of Twilight)
5567, --  2 | Valiona and Theralion kills (Bastion of Twilight)
5569, --  3 | Ascendant Council kills (Bastion of Twilight)
5572  --  4 | Cho'gall kills (Bastion of Twilight)
}
CharScanner_Data_PvE[4][2][4].statisticTotal = #CharScanner_Data_PvE[4][2][4].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - The Bastion of Twilight END                            --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - The Bastion of Twilight (Heroic) START                 --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][5] = {}
CharScanner_Data_PvE[4][2][5].name = "BastionOfTwilightHero"
CharScanner_Data_PvE[4][2][5].achievement = {}
CharScanner_Data_PvE[4][2][5].achievement = {
5117, --  1 | Heroic: Valiona and Theralion
5118, --  2 | Heroic: Halfus Wyrmbreaker
5119, --  3 | Heroic: Ascendant Council
5120, --  4 | Heroic: Cho'gall
5121  --  5 | Heroic: Sinestra
}
CharScanner_Data_PvE[4][2][5].achievementTotal = #CharScanner_Data_PvE[4][2][5].achievement
CharScanner_Data_PvE[4][2][5].statistic = {}
CharScanner_Data_PvE[4][2][5].statistic = {
5553, --  1 | Halfus Wyrmbreaker Heroic kills (Bastion of Twilight)
5568, --  2 | Valiona and Theralion Heroic kills (Bastion of Twilight)
5570, --  3 | Ascendant Council Heroic kills (Bastion of Twilight)
5571, --  4 | Cho'gall Heroic kills (Bastion of Twilight)
5573  --  5 | Sinestra Heroic kills (Bastion of Twilight)
}
CharScanner_Data_PvE[4][2][5].statisticTotal = #CharScanner_Data_PvE[4][2][5].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - The Bastion of Twilight (Heroic) END                   --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Throne of the Four Winds START                         --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][6] = {}
CharScanner_Data_PvE[4][2][6].name = "ThroneFourWinds"
CharScanner_Data_PvE[4][2][6].achievement = {}
CharScanner_Data_PvE[4][2][6].achievement = {
4851, --  1 | Throne of the Four Winds
5304, --  2 | Stay Chill
5305  --  3 | Four Play
}
CharScanner_Data_PvE[4][2][6].achievementTotal = #CharScanner_Data_PvE[4][2][6].achievement
CharScanner_Data_PvE[4][2][6].statistic = {}
CharScanner_Data_PvE[4][2][6].statistic = {
5575, --  1 | Conclave of Wind kills (Throne of the Four Winds)
5576  --  2 | Al'Akir kills (Throne of the Four Winds)
}
CharScanner_Data_PvE[4][2][6].statisticTotal = #CharScanner_Data_PvE[4][2][6].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Throne of the Four Winds END                           --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Throne of the Four Winds (Heroic) START                --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][7] = {}
CharScanner_Data_PvE[4][2][7].name = "ThroneFourWindsHero"
CharScanner_Data_PvE[4][2][7].achievement = {}
CharScanner_Data_PvE[4][2][7].achievement = {
5122, --  1 | Heroic: Conclave of Wind
5123  --  2 | Heroic: Al'Akir
}
CharScanner_Data_PvE[4][2][7].achievementTotal = #CharScanner_Data_PvE[4][2][7].achievement
CharScanner_Data_PvE[4][2][7].statistic = {}
CharScanner_Data_PvE[4][2][7].statistic = {
5574, --  1 | Conclave of Wind Heroic kills (Throne of the Four Winds)
5577  --  2 | Al'Akir Heroic kills (Throne of the Four Winds)
}
CharScanner_Data_PvE[4][2][7].statisticTotal = #CharScanner_Data_PvE[4][2][7].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Throne of the Four Winds (Heroic) END                  --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Firelands START                    (Patch 4.2.0.14333) --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][8] = {}
CharScanner_Data_PvE[4][2][8].name = "Firelands"
CharScanner_Data_PvE[4][2][8].achievement = {}
CharScanner_Data_PvE[4][2][8].achievement = {
5799, --  1 | Only the Penitent...
5802, --  2 | Firelands
5810, --  3 | Not an Ambi-Turner
5813, --  4 | Do a Barrel Roll!
5821, --  5 | Death from Above
5829, --  6 | Bucket List
5830, --  7 | Share the Pain
5855  --  8 | Ragnar-O's
}
CharScanner_Data_PvE[4][2][8].achievementTotal = #CharScanner_Data_PvE[4][2][8].achievement
CharScanner_Data_PvE[4][2][8].statistic = {}
CharScanner_Data_PvE[4][2][8].statistic = {
5964, --  1 | Beth'tilac kills (Firelands)
5966, --  2 | Lord Rhyolith kills (Firelands)
5968, --  3 | Shannox kills (Firelands)
5970, --  4 | Alysrazor kills (Firelands)
5972, --  5 | Baleroc kills (Firelands)
5974, --  6 | Majordomo Fandral Staghelm kills (Firelands)
5976  --  7 | Ragnaros kills (Firelands)
}
CharScanner_Data_PvE[4][2][8].statisticTotal = #CharScanner_Data_PvE[4][2][8].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Firelands END                      (Patch 4.2.0.14333) --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Firelands (Heroic) START           (Patch 4.2.0.14333) --
-- -------------------------------------------------------------------------- --
CharScanner_Data_PvE[4][2][9] = {}
CharScanner_Data_PvE[4][2][9].name = "FirelandsHero"
CharScanner_Data_PvE[4][2][9].achievement = {}
CharScanner_Data_PvE[4][2][9].achievement = {
5803, --  1 | Heroic: Ragnaros
5804, --  2 | Heroic: Majordomo Fandral Staghelm
5805, --  3 | Heroic: Baleroc
5806, --  4 | Heroic: Shannox
5807, --  5 | Heroic: Beth'tilac
5808, --  6 | Heroic: Lord Rhyolith
5809  --  7 | Heroic: Alysrazor
}
CharScanner_Data_PvE[4][2][9].achievementTotal = #CharScanner_Data_PvE[4][2][9].achievement
CharScanner_Data_PvE[4][2][9].statistic = {}
CharScanner_Data_PvE[4][2][9].statistic = {
5965, --  1 | Beth'tilac Heroic kills (Firelands)
5967, --  2 | Lord Rhyolith Heroic kills (Firelands)
5969, --  3 | Shannox Heroic kills (Firelands)
5971, --  4 | Alysrazor Heroic kills (Firelands)
5973, --  5 | Baleroc Heroic kills (Firelands)
5975, --  6 | Majordomo Fandral Staghelm Heroic kills (Firelands)
5977  --  7 | Ragnaros Heroic kills (Firelands)
}
CharScanner_Data_PvE[4][2][9].statisticTotal = #CharScanner_Data_PvE[4][2][9].statistic
-- -------------------------------------------------------------------------- --
-- Cataclysm - Raids - Firelands (Heroic) END             (Patch 4.2.0.14333) --
-- -------------------------------------------------------------------------- --

CharScanner_Data_PvE[4][2].achievementTotal = 0
CharScanner_Data_PvE[4][2].statisticTotal   = 0
for i = 1, #CharScanner_Data_PvE[4][2] do
	CharScanner_Data_PvE[4][2].achievementTotal = CharScanner_Data_PvE[4][2].achievementTotal + CharScanner_Data_PvE[4][2][i].achievementTotal
	CharScanner_Data_PvE[4][2].statisticTotal   = CharScanner_Data_PvE[4][2].statisticTotal   + CharScanner_Data_PvE[4][2][i].statisticTotal
end
-- ---------------------------------------------------------------------------------------------- --
-- Cataclysm - Raids END                                                                          --
-- ---------------------------------------------------------------------------------------------- --

CharScanner_Data_PvE[4].achievementTotal = 0
CharScanner_Data_PvE[4].statisticTotal = 0
for i = 1, #CharScanner_Data_PvE[4] do
	CharScanner_Data_PvE[4].achievementTotal = CharScanner_Data_PvE[4].achievementTotal + CharScanner_Data_PvE[4][i].achievementTotal
	CharScanner_Data_PvE[4].statisticTotal   = CharScanner_Data_PvE[4].statisticTotal   + CharScanner_Data_PvE[4][i].statisticTotal
end
-- ------------------------------------------------------------------------------------------------------------------ --
-- Cataclysm END                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --